%==========================================================================
% SALMON_graph.m
%==========================================================================

%close all;

% Costs:
figure('Position',[200 120 900 700]);
axes('FontName','Palatino Linotype','FontSize',18);
plot(COST_1,p100M_1,'-d','Color','Black','LineWidth',1); hold on; 
plot(cost_interp_range,p100M_0_up,'k:','LineWidth',1);
plot(cost_interp_range,p100M_0_mean,'k-','LineWidth',1.5);
plot(cost_interp_range,p100M_0_lo,'k:','LineWidth',1);
hold off;
xlabel('Total costs [$]','FontName','Palatino Linotype','FontSize',18);
ylabel('Probability all stocks survive','FontName','Palatino Linotype','FontSize',18);
legend('Cost',...
       'Random upper 95',...
       'Random mean',...
       'Random lower 95',...
       4);
axis([0 sum(cost) 0 .46]);


% Spawning-rearing habitat:
figure('Position',[200 120 900 700]);
axes('FontName','Palatino Linotype','FontSize',18);
plot(COST_2,p100M_2,'-+','Color','Black','LineWidth',1); hold on; % Red
plot(cost_interp_range,p100M_0_up,'k:','LineWidth',1);
plot(cost_interp_range,p100M_0_mean,'k-','LineWidth',1.5);
plot(cost_interp_range,p100M_0_lo,'k:','LineWidth',1);
hold off;
xlabel('Total costs [$]','FontName','Palatino Linotype','FontSize',18);
ylabel('Probability all stocks survive','FontName','Palatino Linotype','FontSize',18);
legend('Habitat',...
       'Random upper 95',...
       'Random mean',...
       'Random lower 95',...
       4);
axis([0 sum(cost) 0 .46]);


% Habitat/costs:
figure('Position',[200 120 900 700]);
axes('FontName','Palatino Linotype','FontSize',18);
plot(COST_3,p100M_3,'-s','Color','Black','LineWidth',1); hold on; % Red
plot(cost_interp_range,p100M_0_up,'k:','LineWidth',1);
plot(cost_interp_range,p100M_0_mean,'k-','LineWidth',1.5);
plot(cost_interp_range,p100M_0_lo,'k:','LineWidth',1);
hold off;
xlabel('Total costs [$]','FontName','Palatino Linotype','FontSize',18);
ylabel('Probability all stocks survive','FontName','Palatino Linotype','FontSize',18);
legend('Habitat-cost ratios',...
       'Random upper 95',...
       'Random mean',...
       'Random lower 95',...
       4);
axis([0 sum(cost) 0 .46]);


% Initial B-C ratios:
figure('Position',[200 120 900 700]);
axes('FontName','Palatino Linotype','FontSize',18);
plot(COST_4,p100M_4,'-*','Color','Black','LineWidth',1); hold on; 
plot(COST_5,p100M_5,'-o','Color','Black','LineWidth',1);
plot(cost_interp_range,p100M_0_up,'k:','LineWidth',1);
plot(cost_interp_range,p100M_0_mean,'k-','LineWidth',1.5);
plot(cost_interp_range,p100M_0_lo,'k:','LineWidth',1);
hold off;
xlabel('Total costs [$]','FontName','Palatino Linotype','FontSize',18);
ylabel('Probability all stocks survive','FontName','Palatino Linotype','FontSize',18);
legend('Initial B-C ratios',...
       'Updated B-C ratios',...
       'Random upper 95',...
       'Random mean',...
       'Random lower 95',...
       4);
axis([0 sum(cost) 0 .46]);