%==========================================================================
% SALMON_pva_function.m;
%==========================================================================

points = 300;

beta_range = zeros(points,M);

PVAf = zeros(M*points,4); 
for m = 1:M; 
    PVAf((m-1)*points+1:m*points,1) = m; 
    beta_range(:,m) = [.95*beta(m) : (1.05*beta(m)*gamma(m)-.95*beta(m))/(points-1) : 1.05*beta(m)*gamma(m)]';
end;

for i = 1:M*points;
    j = i-points*fix(i/points) + (i/points-fix(i/points)==0)*points;
    m = fix(i/points)+1 - (i/points-fix(i/points)==0);
    %fprintf('i = %-.0f; j = %-.0f; m = %-.0f\n',i,j,m);
    [S,p] = SALMON_forecast(S0(m),alpha(m),beta_range(j,m),sigma(m),L(m),returns(m,:),T,QET,MC);
    PVAf(i,2:5) = [beta_range(j,m) p'];
    SALMON_header;
    fprintf('Generating PVA function...\n\n');
    fprintf('   Working on %-.0f of %-.0f\n',i,length(PVAf)); 
    fprintf('   beta_range(%-.0f) = %-.1f; p100 = %-.6f\n',m,beta_range(j,m),PVAf(i,5)); pause(0.01);
end;
           
SALMON_save;